﻿@page "/"
@attribute [Authorize]

<PageTitle>JWobot Admin | Dashboard</PageTitle>

<div class="d-sm-flex align-items-center justify-content-between mb-4">
    <h1 class="h3 mb-0 text-gray-800">Dashboard</h1>
</div>

@if (isAdmin)
{
    <AdminDashboard></AdminDashboard>
}
else
{
    <UserDashboard></UserDashboard>
}

@code {

    [CascadingParameter]
    private Task<AuthenticationState> authenticationStateTask { get; set; }
    private bool isAdmin = false;

    protected async override Task OnInitializedAsync()
    {
        var claimsPrincipal = (await authenticationStateTask).User;
        if (claimsPrincipal != null)
        {
            isAdmin = claimsPrincipal.IsInRole("Admin");
        }
    }
}